## org.eclipse.wst.ws.service.policy
Interface IDescriptor

    public interface IDescriptor

This interface encapsulates the idea of a description for a service policy.

Method Summary
`java.lang.String` `getContextHelpId()` Returns the context help id.
`java.lang.String` `getDescription()` Returns the description for this descriptor.
`java.lang.String` `getIconBundleId()` Returns the icon bundle id.
`java.lang.String` `getIconPath()` Returns the icon path relative to an icon bundle.
`java.lang.String` `getLongName()` Returns the long name for the descriptor.
`java.lang.String` `getShortName()` Returns the short name for the descriptor
`void` `setContextHelpId(java.lang.String contextHelpId)` Sets the context help id for this descriptor.
`void` `setDescription(java.lang.String description)` Sets the description for this descriptor.
`void` `setIconBundleId(java.lang.String iconBundleId)` Sets the icon bundle id for this descriptor.
`void` `setIconPath(java.lang.String iconPath)` Sets the icon patch for this descriptor.
`void` `setLongName(java.lang.String longName)` Sets the long name for the descriptor.
`void` `setShortName(java.lang.String name)` Sets the short name for the descriptor.

Method Detail

### getShortName

    java.lang.String getShortName()

  Returns the short name for the descriptor

  Returns:
    returns the short name for the descriptor

### setShortName

    void setShortName(java.lang.String name)

  Sets the short name for the descriptor.

  Parameters:
    `name` -

### getLongName

    java.lang.String getLongName()

  Returns the long name for the descriptor.

  Returns:
    returns the long name for the descriptor.

### setLongName

    void setLongName(java.lang.String longName)

  Sets the long name for the descriptor.

  Parameters:
    `longName` -

### getDescription

    java.lang.String getDescription()

  Returns the description for this descriptor.

  Returns:
    returns the description for this descriptor.

### setDescription

    void setDescription(java.lang.String description)

  Sets the description for this descriptor.

  Parameters:
    `description` -

### getIconPath

    java.lang.String getIconPath()

  Returns the icon path relative to an icon bundle.

  Returns:
    returns the icon path for this descriptor. This path is relative to the plugin specified by the icon bundle id. This method may return null if there is no icon for this descriptor.

### setIconPath

    void setIconPath(java.lang.String iconPath)

  Sets the icon patch for this descriptor.

  Parameters:
    `iconPath` -

### getIconBundleId

    java.lang.String getIconBundleId()

  Returns the icon bundle id.

  Returns:
    returns the bundle ID of a plugin that contains an icon. This method may return null if there is no icon associated with this descriptor.

### setIconBundleId

    void setIconBundleId(java.lang.String iconBundleId)

  Sets the icon bundle id for this descriptor.

  Parameters:
    `iconBundleId` -

### getContextHelpId

    java.lang.String getContextHelpId()

  Returns the context help id.

  Returns:
    returns the context help id for this descriptor. This method may return null if no context has been specified.

### setContextHelpId

    void setContextHelpId(java.lang.String contextHelpId)

  Sets the context help id for this descriptor.

  Parameters:
    `contextHelpId` -